
# Efinity Interface Designer SDC
# Version: 2021.2.323
# Date: 2021-12-25 12:28

# Copyright (C) 2017 - 2021 Efinix Inc. All rights reserved.

# Device: T8F81
# Project: xyloni
# Timing Model: C2 (final)

# PLL Constraints
#################
create_clock -period 7.50 -waveform {3.75 7.50} [get_ports {i_sysclk}]

# GPIO Constraints
####################
# set_input_delay -clock <CLOCK> -max <MAX CALCULATION> [get_ports {BTN1}]
# set_input_delay -clock <CLOCK> -min <MIN CALCULATION> [get_ports {BTN1}]
# set_input_delay -clock <CLOCK> -max <MAX CALCULATION> [get_ports {BTN2_J2_7}]
# set_input_delay -clock <CLOCK> -min <MIN CALCULATION> [get_ports {BTN2_J2_7}]
# set_input_delay -clock <CLOCK> -max <MAX CALCULATION> [get_ports {PLL_IN}]
# set_input_delay -clock <CLOCK> -min <MIN CALCULATION> [get_ports {PLL_IN}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {RXD}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {RXD}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {SD_DI}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {SD_DI}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {SPI_MISO}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {SPI_MISO}]
# set_output_delay -clock <CLOCK> -max <MAX CALCULATION> [get_ports {LED1}]
# set_output_delay -clock <CLOCK> -min <MIN CALCULATION> [get_ports {LED1}]
# set_output_delay -clock <CLOCK> -max <MAX CALCULATION> [get_ports {LED2}]
# set_output_delay -clock <CLOCK> -min <MIN CALCULATION> [get_ports {LED2}]
# set_output_delay -clock <CLOCK> -max <MAX CALCULATION> [get_ports {LED3_J2_6}]
# set_output_delay -clock <CLOCK> -min <MIN CALCULATION> [get_ports {LED3_J2_6}]
# set_output_delay -clock <CLOCK> -max <MAX CALCULATION> [get_ports {LED4_J2_5}]
# set_output_delay -clock <CLOCK> -min <MIN CALCULATION> [get_ports {LED4_J2_5}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {SD_CS}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {SD_CS}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {SD_DO}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {SD_DO}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {SD_SCLK}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {SD_SCLK}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {SPI_MOSI}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {SPI_MOSI}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {SPI_SCLK}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {SPI_SCLK}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {SPI_SS}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {SPI_SS}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {TXD}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {TXD}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[0]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[0]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[0]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[0]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[0]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[0]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[1]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[1]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[1]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[1]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[1]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[1]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[2]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[2]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[2]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[2]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[2]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[2]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[3]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[3]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[3]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[3]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[3]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[3]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[4]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[4]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[4]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[4]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[4]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[4]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[5]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[5]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[5]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[5]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[5]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[5]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[6]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[6]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[6]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[6]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[6]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[6]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[7]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[7]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[7]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[7]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[7]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[7]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[8]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[8]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[8]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[8]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[8]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[8]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[9]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[9]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[9]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[9]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[9]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[9]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[10]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[10]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[10]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[10]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[10]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[10]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[11]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[11]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[11]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[11]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[11]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[11]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[12]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[12]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[12]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[12]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[12]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[12]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[13]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[13]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[13]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[13]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[13]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[13]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J1_IN[14]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J1_IN[14]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J1_OUT[14]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J1_OUT[14]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J1_OE[14]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J1_OE[14]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[0]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[0]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[0]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[0]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[0]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[0]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[1]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[1]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[1]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[1]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[1]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[1]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[2]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[2]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[2]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[2]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[2]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[2]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[3]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[3]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[3]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[3]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[3]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[3]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[4]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[4]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[4]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[4]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[4]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[4]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[5]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[5]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[5]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[5]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[5]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[5]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[6]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[6]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[6]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[6]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[6]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[6]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[7]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[7]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[7]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[7]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[7]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[7]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[8]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[8]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[8]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[8]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[8]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[8]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[9]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[9]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[9]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[9]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[9]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[9]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[10]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[10]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[10]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[10]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[10]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[10]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[11]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[11]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[11]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[11]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[11]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[11]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[12]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[12]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[12]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[12]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[12]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[12]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J2_IN[13]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J2_IN[13]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J2_OUT[13]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J2_OUT[13]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J2_OE[13]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J2_OE[13]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J3_IN[0]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J3_IN[0]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J3_OUT[0]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J3_OUT[0]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J3_OE[0]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J3_OE[0]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J3_IN[1]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J3_IN[1]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J3_OUT[1]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J3_OUT[1]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J3_OE[1]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J3_OE[1]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J3_IN[2]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J3_IN[2]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J3_OUT[2]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J3_OUT[2]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J3_OE[2]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J3_OE[2]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J3_IN[3]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J3_IN[3]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J3_OUT[3]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J3_OUT[3]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J3_OE[3]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J3_OE[3]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J3_IN[4]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J3_IN[4]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J3_OUT[4]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J3_OUT[4]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J3_OE[4]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J3_OE[4]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J3_IN[5]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J3_IN[5]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J3_OUT[5]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J3_OUT[5]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J3_OE[5]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J3_OE[5]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J3_IN[6]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J3_IN[6]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J3_OUT[6]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J3_OUT[6]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J3_OE[6]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J3_OE[6]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J3_IN[7]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J3_IN[7]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J3_OUT[7]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J3_OUT[7]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J3_OE[7]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J3_OE[7]}]
set_input_delay -clock i_sysclk -max 5.958 [get_ports {GPIO_J3_IN[8]}]
set_input_delay -clock i_sysclk -min 2.128 [get_ports {GPIO_J3_IN[8]}]
set_output_delay -clock i_sysclk -max -3.903 [get_ports {GPIO_J3_OUT[8]}]
set_output_delay -clock i_sysclk -min -1.615 [get_ports {GPIO_J3_OUT[8]}]
set_output_delay -clock i_sysclk -max -3.913 [get_ports {GPIO_J3_OE[8]}]
set_output_delay -clock i_sysclk -min -1.612 [get_ports {GPIO_J3_OE[8]}]
